# Class CheckboxCellComponent<Data>

#### Type Parameters

- Data extends Record<string, any>

- Defined in packages/angular/material/table-system/src/lib/select-row/checkbox-cell/checkbox-cell.component.ts:19

#####
Index

### Constructors

constructor

### Properties

element
selectRow

##
Constructors

### constructor

- new CheckboxCellComponent<Data extends Record<string, any>>(
  selectRow: SelectRowService<Data>,
  ): CheckboxCellComponent<Data>

  #### Type Parameters

  - Data extends Record<string, any>

  #### Parameters

  - selectRow: SelectRowService<Data>

  #### Returns CheckboxCellComponent<Data>

  - Defined in packages/angular/material/table-system/src/lib/select-row/checkbox-cell/checkbox-cell.component.ts:24

##
Properties

### element

element: Data

- Defined in packages/angular/material/table-system/src/lib/select-row/checkbox-cell/checkbox-cell.component.ts:22

### `Readonly` selectRow

selectRow: SelectRowService<Data>

- Defined in packages/angular/material/table-system/src/lib/select-row/checkbox-cell/checkbox-cell.component.ts:26